import 'package:example/consts.dart';
import 'package:miodi/miodi.dart';

abstract class Logger {
  void log(String message);
}

class FileLogger implements Logger {
  final String file;
  FileLogger(this.file) {
    print('Create FileLogger');
  }

  @override
  void log(String message) {
    print('$file: $message');
  }
}

class User {
  final String id;
  String name;
  User(this.id, this.name) {
    print('Create User $id::$name');
  }
}

class UserController {
  final User currentUser;

  UserController(this.currentUser) {
    print('Create UserController');
  }
}